「web2py」のソーシャルブックマークウィジェットにXSSの脆弱性(JVN) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2018.06.24(日)

「web2py」のソーシャルブックマークウィジェットにXSSの脆弱性(JVN)

脆弱性と脅威 セキュリティホール・脆弱性

独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は5月20日、web2pyが提供するWebアプリケーションの作成、デザイン用のフレームワーク「web2py」にクロスサイトスクリプティング(XSS)の脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。

「web2py バージョン 2.3.1 より前のバージョンに同梱されている share.js ウィジェット」には、XSSの脆弱性(CVE-2013-2311)が存在する。この脆弱性が悪用されると、share.jsを使用するweb2pyアプリケーションにアクセスした場合、ユーザのWebブラウザ上で任意のスクリプトが実行される可能性がある。JVNでは、開発者が提供する情報をもとに最新版へアップデートし、各アプリケーションが使用しているshare.jsを置き換えるよう呼びかけている。
《吉澤 亨史》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★
<b>★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★</b>

経営課題としてサイバーセキュリティに取り組む情報システム部門や、研究・開発・経営企画に携わる方へ向けた、創刊19年のセキュリティ情報サービス Scan PREMIUM を、貴社の事業リスク低減のためにご活用ください。

×